Feature #13254

Secure Gem-Source

Added by Daniel Felix over 4 years ago. Updated over 4 years ago.

Status:ClosedStart date:
Priority:NormalDue date:
Assignee:-% Done:

0%

Category:Gems support
Target version:-
Resolution:Duplicate

Description

Hi,

CentOS 6.3 throwing this error with current RubyGems.

This could be fixed by using source: https://rubygems.org/ instead of http://rubygems.org in Gemfile.


bundle update
The source :rubygems is deprecated because HTTP requests are insecure.
Please change your source to 'https://rubygems.org' if > possible, or 'http://rubygems.org' if not.
Fetching gem metadata from http://rubygems.org/.........


Related issues

Duplicates Redmine - Patch #13173: Put source :rubygems url HTTP secure Closed

History

#1 Updated by Etienne Massip over 4 years ago

  • Status changed from New to Closed
  • Resolution set to Duplicate

Dupe of #13173.

#2 Updated by Daniel Felix over 4 years ago

Ah sorry. haven't seen this in the last days in the activities.

Well I would appreciate if this could get inside 2.3. :-)

Also available in: Atom PDF